#
# Purpose: Setup a general purpose CentOS Development Environment
#
#
## Set this to the desired hostname

ENV['V_HOSTNAME'] = "dev-crudtestf3"

## Uncomment to override defaults
#ENV['V_VMBOX'] = "centos/7"
ENV['V_RAM'] = "2048"
#ENV['V_CPUS'] =  "2"

DBUSER="admin"
DBPASS="crudtestf3db"
MONGOVER="3.6"
MONGOPORT=27017

begin 
  commonDir="../vagrantCommon/"
  
  checkPlugins_vagrant = File.expand_path(commonDir + 'checkPlugins.vagrant', __FILE__)
  load checkPlugins_vagrant
    
  preSetup_vagrant = File.expand_path(commonDir + 'preSetup.vagrant', __FILE__)
  load preSetup_vagrant
  
  basePkgs_vagrant = File.expand_path(commonDir + 'basePkgs.vagrant', __FILE__)
  load basePkgs_vagrant
  
  devSh_vagrant = File.expand_path(commonDir + 'devSh.vagrant', __FILE__)
  load devSh_vagrant
  
  #setDockerInstallSh_vagrant = File.expand_path(commonDir + 'setDockerInstallSh.vagrant', __FILE__)
  #load setDockerInstallSh_vagrant
  
  setMavenInstallSh_vagrant = File.expand_path(commonDir + 'setMavenInstallSh.vagrant', __FILE__)
  load setMavenInstallSh_vagrant
  
  setMavenInstallSh_vagrant = File.expand_path(commonDir + 'installMongoDb.vagrant', __FILE__)
  load setMavenInstallSh_vagrant
    
  postSetup_vagrant = File.expand_path(commonDir + 'postSetup.vagrant', __FILE__)
  load postSetup_vagrant
end


Vagrant.configure("2") do |config|
  ### Port forwards for specific applications.
  #config.vm.network :forwarded_port, :host => 2375, :guest => 2375 # Docker daemon port
  config.vm.network :forwarded_port, :host => MONGOPORT, :guest => MONGOPORT # MongoDB daemon port
   
  (8080..8080).each do |port| # Spring Boot/MVC ports (scope to add more if applicable)
    config.vm.network :forwarded_port, :host => port, :guest => port 
  end
  
  config.vm.provision "shell", inline: <<-SHELL
#{HOMEDIR}/mavenInstall.sh
SHELL
end